import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ErzieherStammdaten extends JavaObject {
    id: number;
    idSchueler: number;
    idErzieherArt: Number | null;
    titel: String | null;
    anrede: String | null;
    nachname: String | null;
    zusatzNachname: String | null;
    vorname: String | null;
    strassenname: String | null;
    hausnummer: String | null;
    hausnummerZusatz: String | null;
    wohnortID: Number | null;
    ortsteilID: Number | null;
    erhaeltAnschreiben: Boolean | null;
    eMail: String | null;
    staatsangehoerigkeitID: String | null;
    bemerkungen: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ErzieherStammdaten;
    static transpilerToJSON(obj: ErzieherStammdaten): string;
    static transpilerToJSONPatch(obj: Partial<ErzieherStammdaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_erzieher_ErzieherStammdaten(obj: unknown): ErzieherStammdaten;
